Name:           scantailor
Version:        0.9.11.1
Release:        1%{?dist}
Summary:        An interactive post-processing tool for scanned pages

Group:          Applications/Text
License:        GPLv3+ or LGPLv2.1
URL:            http://scantailor.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  libXext-devel
BuildRequires:  qt-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libjpeg-devel
BuildRequires:  zlib-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libXrender-devel
BuildRequires:  desktop-file-utils

%description
Scan Tailor is an interactive post-processing tool for scanned pages.
It performs operations such as page splitting, deskewing, adding/removing
borders, and others. You give it raw scans, and you get pages ready to be
printed or assembled into a PDF or DJVU file. Scanning, optical character
recognition, and assembling multi-page documents are out of scope of this
project.

%prep
%setup -q

%build
%cmake . -DEXTRA_LIBS=Xrender -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo -DCMAKE_INSTALL_PREFIX="/usr" 
make %{?_smp_mflags}
mv resources/icons/COPYING resources/icons/COPYING-icons

%install
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/scalable/apps
cp -p resources/appicon.svg \
        ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/scalable/apps/scantailor.svg

%check
make tests
./tests/tests

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc COPYING resources/icons/COPYING-icons
%{_bindir}/scantailor
%{_bindir}/scantailor-cli
%{_datadir}/scantailor/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/scantailor.svg

%changelog
* Tue Feb 28 2012 Jan Horak <jhorak@redhat.com> - 0.9.11.1-1
- Update to 0.9.11.1

* Wed Feb  1 2012 Jan Horak <jhorak@redhat.com> - 0.9.11-1
- Update to 0.9.11

* Sun Aug 14 2011 Jan Horak <jhorak@redhat.com> - 0.9.10-1
- Update to 0.9.10

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 15 2010 Jan Horak <jhorak@redhat.com> - 0.9.9.2-1
- Update to 0.9.9.2

* Tue Aug 10 2010 Jan Horak <jhorak@redhat.com> - 0.9.9.1-1
- Update to 0.9.9.1

* Mon Jun 14 2010 Jan Horak <jhorak@redhat.com> - 0.9.9-1
- Update to 0.9.9

* Wed Apr 28 2010 Jan Horak <jhorak@redhat.com> - 0.9.8.1-1
- Update to 0.9.8.1

* Wed Apr  7 2010 Jan Horak <jhorak@redhat.com> - 0.9.8-1
- Update to 0.9.8

* Tue Feb 16 2010 Jan Horak <jhorak@redhat.com> - 0.9.7.2-2
- Renaming of COPYING-icons moved to prep section

* Mon Feb 15 2010 Jan Horak <jhorak@redhat.com> - 0.9.7.2-1
- Initial release

